<?php

require_once JPATH_ROOT . DS.'plugins'.DS.'content'.DS.'mosimage'.DS.'elements'.DS.'lightboxlist.php';

class LightboxHelper {
	
	public $lightboxType;
	
	
	/**
	 * Default ist JElementLightboxList::SLIMBOX_15.
	 * @param Type siehe JElementLightboxList
	 */
	public function __construct($lightboxType){
		switch($this->lightboxType){
			case JElementLightboxList::LYTEBOX:
			case JElementLightboxList::SHADOWBOX:
			case JElementLightboxList::LIGHTBOX2:
			case JElementLightboxList::SLIMBOX_14:
			case JElementLightboxList::SLIMBOX_15:
				$this->lightboxType = $lightboxType;
				break;		
			default:
				$this->lightboxType = JElementLightboxList::SLIMBOX_15;
		}
	}
	
	
	public function getRel(){
		switch($this->lightboxType){
			case JElementLightboxList::LYTEBOX:
				return 'lytebox[vacation]';
				break;
			case JElementLightboxList::SHADOWBOX:
				return 'shadowbox[Vacation]';				
				break;
			case JElementLightboxList::LIGHTBOX2:
			case JElementLightboxList::SLIMBOX_14:
			case JElementLightboxList::SLIMBOX_15:
			default:
				return 'lightbox[roadtrip]';
				break;
		}
	}
	
	public function getCssClass(){
		return '';
	}
	
	public function addScriptAndCssToDocument(){
		$document=& JFactory::getDocument();
		
		switch($this->lightboxType){
				case JElementLightboxList::LIGHTBOX2:
					$baseUrl = JURI::base().'plugins/content/mosimage/lightbox';
					$document->addScript($baseUrl .'/js/builder.js');
					$document->addScript($baseUrl .'/js/prototype.js');	
					$document->addScript($baseUrl .'/js/scriptaculous.js?load=effects,builder');
					$document->addScript($baseUrl .'/js/lightbox.js');
					$document->addStyleSheet($baseUrl.'/css/lightbox.css');
					break;
				case JElementLightboxList::SLIMBOX_14:
					$baseUrl = JURI::base().'plugins/content/mosimage/slimbox-1.41';
					$document->addScript($baseUrl .'/js/slimbox.js');
					$document->addStyleSheet($baseUrl.'/css/slimbox.css');
					break;
				case JElementLightboxList::LYTEBOX:
					$baseUrl = JURI::base().'plugins/content/mosimage/lytebox';
					$document->addScript($baseUrl .'/js/lytebox.js');
					$document->addStyleSheet($baseUrl.'/css/lytebox.css');
					break;
				case JElementLightboxList::SHADOWBOX:
					$baseUrl = JURI::base().'plugins/content/mosimage/shadowbox';
					$document->addScript($baseUrl .'/js/shadowbox.js');
					$document->addStyleSheet($baseUrl.'/css/shadowbox.css');
					$document->addScriptDeclaration('Shadowbox.init()');
					break;
				case JElementLightboxList::SLIMBOX_15:
				default:
					$baseUrl = JURI::base().'plugins/content/mosimage/slimbox-1.57';
					$document->addScript($baseUrl .'/js/slimbox.js');
					$document->addStyleSheet($baseUrl.'/css/slimbox.css');
					break;
			}
	}
	
}

?>