<?php

defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @version 2.0 $Id: MosimageConfiguration.php,v 1.2 2010-12-20 23:52:56 harry Exp $
 * @package Joomla
 * @subpackage H2N Mosimage Plugin
 * @copyright (C) 2010 Harry Klein - www.joomla-hklein.de
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 *
 * H2N Mosimage Plugin is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Mosimage Plugin is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class MosimageConfiguration{

	public $params;

	public function __construct($params){
		$this->params = $params;
	}

	public function getJpegQuality(){
		return $this->params->get('quality', 80);
	}

	public function getScrambleFilename(){
		return $this->params->get('scramble', 'off');
	}

	public function getThumbnailMaxWidth() {
		return $this->params->get('thumb_width', 150);
	}

	public function getThumbnailMaxHeight() {
		return $this->params->get('thumb_height', 100);
	}
	
	public function getThumbnailCaptionAlign(){
		 return $this->params->get('thumb_caption_align', 'bottom' );
	}
	
	public function getFullsizeMaxWidth() {
		return $this->params->get('full_width', 800);
	}
	
	public function getFullsizeMaxHeight() {
		return $this->params->get('full_height', 600);
	}
	
	public function isViewCaptionTextForFullsize() {
		return $this->params->get('full_caption', 1);
	}
	
	public function isViewCaptionTextForThumbnail() {
		return $this->params->get( 'thumb_caption', 0 );
	}

	public function getWatermarkTransparencyType() {
		return $this->params->get('transparency_type', 'alpha');
	}
	
	public function getWatermarkTransparency() {
		return $this->params->get('transparency', 25);
	}
	
	public function getWatermarkTransparentColor() {
		return $this->params->get('transparent_color','#000000');
	}
	
	public function getWatermarkTop() {
		return $this->params->get('watermark_top', '');
	}

	public function getWatermarkLeft() {
		return $this->params->get('watermark_left', '');
	}

	public function getWatermarkFile() {
		return $this->params->get('watermark_file', '');
	}

	public function isUsedWatermark() {
		return $this->params->get('watermark', 0);
	}
	
	public function getImageProportions() {
		return $this->params->get('image_proportions', 'bestfit');
	}
	
	public function getMaxResizedImagePerRequest() {
		return $this->params->get('maxResizeImagePerRequest', 10);
	}
	
	public function getLightboxType(){
		return $this->params->get('lightbox-type');
	}
}

?>